Ptex

Functions
CMakeLists.txt File Reference

## Functions
| if (WIN32) add_definitions(/DPTEX_EXPORTS) endif(WIN32) configure_file(PtexVersion.h.in $
PtexVersion h ONLY | set (SRCS PtexCache.cpp PtexFilters.cpp PtexHalf.cpp PtexReader.cpp PtexSeparableFilter.cpp PtexSeparableKernel.cpp PtexTriangleFilter.cpp PtexTriangleKernel.cpp PtexUtils.cpp PtexWriter.cpp) if(PTEX_BUILD_STATIC_LIBS) add_library(Ptex_static STATIC $
| set_target_properties (Ptex_static PROPERTIES OUTPUT_NAME Ptex) target_include_directories(Ptex_static PUBLIC $< INSTALL_INTERFACE

## Function Documentation

## ◆ if()

if | ( | WIN32 |  | ) |

Definition at line 1 of file ptex/CMakeLists.txt.

## ◆ set()

PtexVersion h ONLY set | ( | SRCS PtexCache.cpp PtexFilters.cpp PtexHalf.cpp PtexReader.cpp PtexSeparableFilter.cpp PtexSeparableKernel.cpp PtexTriangleFilter.cpp PtexTriangleKernel.cpp PtexUtils.cpp PtexWriter. | cpp | ) |

Definition at line 8 of file ptex/CMakeLists.txt.

## ◆ set_target_properties()

set_target_properties | ( | Ptex_static PROPERTIES OUTPUT_NAME | Ptex | ) |

Definition at line 22 of file ptex/CMakeLists.txt.